Bug 981667 - Exceptions when changing properties in wicd-gtk
Exceptions when changing properties in wicd-gtk
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 08:44 EDT by Steve
Modified: 2014-01-11 03:39 EST (History)
2 users (show)

See Also:
Fixed In Version: wicd-1.7.2.4-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 03:36:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2013-07-05 08:44:10 EDT
Description of problem:

wicd-gtk is throwing exceptions when changing properties or setting encryption.  Basically it renders wicd-gtk useless since I cannot add a passphrase.


Version-Release number of selected component (if applicable):

wicd-1.7.2.4-6.fc19.x86_64


How reproducible:  Always


Steps to Reproduce:
1.  Start wicd-gtk
2.  Click on "Automatically connect..." in the wireless network

Actual results:

Exceptions thrown (from terminal):

Traceback (most recent call last):
  File "/usr/share/wicd/gtk/netentry.py", line 945, in update_autoconnect
    noneToString(self.chkbox_autoconnect.
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.TypeError: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/share/wicd/daemon/wicd-daemon.py", line 1066, in SetWirelessProperty
    prop = misc.sanitize_config(prop)
  File "/usr/lib/python2.7/site-packages/wicd/misc.py", line 433, in sanitize_config
    return s.translate(None, table)
TypeError: translate() takes exactly one argument (2 given)


Expected results:

Shouldn't complain

Additional info:

When setting the encryption passphrase in the properties window, it throws the following exception as well


setting encryption info...
Traceback (most recent call last):
  File "/usr/share/wicd/gtk/gui.py", line 676, in edit_advanced
    if self.run_settings_dialog(dialog, ttype, networkid, networkentry):
  File "/usr/share/wicd/gtk/gui.py", line 689, in run_settings_dialog
    if self.save_settings(nettype, networkid, networkentry):
  File "/usr/share/wicd/gtk/gui.py", line 654, in save_settings
    if not networkentry.save_wireless_settings(networkid):
  File "/usr/share/wicd/gtk/netentry.py", line 940, in save_wireless_settings
    return self.advanced_dialog.save_settings(networkid)
  File "/usr/share/wicd/gtk/netentry.py", line 591, in save_settings
    encrypt_methods[self.combo_encryption.get_active()]['type'])
  File "/usr/share/wicd/gtk/netentry.py", line 532, in set_net_prop
    wireless.SetWirelessProperty(self.networkID, option, value)
  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 145, in __call__
    **keywords)
  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.TypeError: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/share/wicd/daemon/wicd-daemon.py", line 1066, in SetWirelessProperty
    prop = misc.sanitize_config(prop)
  File "/usr/lib/python2.7/site-packages/wicd/misc.py", line 433, in sanitize_config
    return s.translate(None, table)
TypeError: translate() takes exactly one argument (2 given)
Comment 1 Zac Bristow 2013-07-25 03:43:53 EDT
Found this was reported and fixed upstream at https://bugs.launchpad.net/wicd/+bug/993912, with a simple patch, http://bazaar.launchpad.net/~wicd-devel/wicd/experimental/revision/770, to fix the error.
Comment 2 Fedora Update System 2013-12-09 10:28:53 EST
wicd-1.7.2.4-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-7.fc19
Comment 3 Fedora Update System 2013-12-09 10:47:27 EST
wicd-1.7.2.4-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wicd-1.7.2.4-8.fc20
Comment 4 Fedora Update System 2013-12-09 15:24:39 EST
Package wicd-1.7.2.4-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wicd-1.7.2.4-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23022/wicd-1.7.2.4-8.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-01-11 03:36:55 EST
wicd-1.7.2.4-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-01-11 03:39:12 EST
wicd-1.7.2.4-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.